[support] dlandon - Zoneminder 1.36


1110 posts in this topic Last Reply

Recommended Posts

First.  I don't have unRAID.  I'm just testing this docker image, currently on a VMWare workstation, Ubuntu installation running Docker.  Eventually, on a NUC7 running docker.

Both this install running on my VMWare workstation, and the recently deprecated dlandon docker image running on my NUC7 seem to work pretty much the same, when giving respect to CPU resources... the VMWare instance is a bit slow, but it works.

Both installs will record my test camera, and alert on any motion in the frame (or motion in polygons in the frame).  What I can't figure out what I need to do for this image is how to get it to alert on only people in the frame, or only dogs, or whatever.  So.. can someone point me to the specifics of the documentation that bypass the "get it running" part, and hones in on the "get it alerting on known objects" part?  Also, do I have to have any additional hardware (I've seen mention made of TPU processors on USB), or should it be able to work with just my virtual CPUs in my VMWare (or physical CPUs on my NUC7, supplied by Docker)?

 

Thanks in advance.

Link to post
  • Replies 1.1k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

I realize that Zoneminder 1.32.0 has been released and I will eventually update the Docker for this new release.  Please don't try to lobby me to update the Docker right away.  I won't update it for a

This is an update of the Zoneminder Docker initially created by aptalca to the latest version of Zoneminder.  You can do an in place update of this Docker and your current configuration will be kept a

Map an external port to the Zoneminder docker port 80.

Posted Images

4 hours ago, placix said:

Hello!

 

since the last update the WebGui doesn't work anymore. I don't know if it could just have something to do with this:

 

 

The latest update was to update Zoneminder to 1.36.  You may have to go to the Zoneminder forum for some help on upgrade issues.

Link to post
10 hours ago, Todd L said:

First.  I don't have unRAID.

This forum is for support of Unraid.  You'll have to go to the Zoneminder forum for help.

Link to post

Hi,

 

Partial-nubie here and I am a bit confused on the storage paths.  First off, my system is up and running but I need a bit of education.

My docker path: 

Zm-Default.thumb.png.1204132f95725e8b5d26b6aaede9d6df.png

But when I look in Storage under Options in the Zoneminder it has this (which does not exist -  leastwise according to krusader):

Zm-Options.png.4d05ed05ac83fc70cfe6969fec89ede8.png

 

If I put the Docker data path "/mnt/user/Media/Zoneminder/" as the Default in Options I get errors:

Zm-Logs.png.94c23c39f00a6025bb99b9936bfd4ad6.png

 

So the system is working but I have no idea how.  Here is the actual paths (cache & shares) according to krusader:

Zm-Disks.png.74c96eb4dd0b717171bb7b582d018ef3.png

Zm-Cache.png.ade4d0d84e62586ca3821c10d3364840.png

 

So the question is: is the value in Options => Storage => Default correct or should it match the data path and what the hades is the path in the Default?

 

OrangeLoon

Link to post
5 minutes ago, OrangeLoon said:

Hi,

 

Partial-nubie here and I am a bit confused on the storage paths.  First off, my system is up and running but I need a bit of education.

My docker path: 

Zm-Default.thumb.png.1204132f95725e8b5d26b6aaede9d6df.png

But when I look in Storage under Options in the Zoneminder it has this (which does not exist -  leastwise according to krusader):

Zm-Options.png.4d05ed05ac83fc70cfe6969fec89ede8.png

 

If I put the Docker data path "/mnt/user/Media/Zoneminder/" as the Default in Options I get errors:

Zm-Logs.png.94c23c39f00a6025bb99b9936bfd4ad6.png

 

So the system is working but I have no idea how.  Here is the actual paths (cache & shares) according to krusader:

Zm-Disks.png.74c96eb4dd0b717171bb7b582d018ef3.png

Zm-Cache.png.ade4d0d84e62586ca3821c10d3364840.png

 

So the question is: is the value in Options => Storage => Default correct or should it match the data path and what the hades is the path in the Default?

 

OrangeLoon

/var/cache/zoneminder/events is inside the docker and not visible to Unraid.

 

/mnt/user/Media/Zoneminder/events is in Unraid and not visible to the docker container.

 

They are mapped with these settings in the Zoneminder template:

zoneminder.thumb.png.efdcd792d188ed0966db18526aab1e40.png

 

This gives the Zoneminder container access to the Unraid folder.

 

Don't change the storage setting in Zonemnider.  As you found out it doesn't work because that path is not in the container.  Leave it at the default.

Link to post
  • 2 weeks later...
7 minutes ago, Heezy said:

is v1.36 not available for Unraid 6.9.2? the zoneminder version i am running from CA is v1.34.23 and there are no updates.

Just restart the docker and zoneminder will update to 1.36.

Link to post
  • dlandon changed the title to [support] dlandon - Zoneminder 1.36
2 hours ago, dlandon said:

Just restart the docker and zoneminder will update to 1.36.

 

i restarted the docker, but it did not update to 1.36. so i started from scratch and backed up my config and removed the docker and image completely. reinstalled ZM and after the installation, i started up ZM and looked at the log until it was fully started up. then i restarted the docker, opened the webui and now it is on 1.36.3.

Link to post
  • 3 weeks later...

Hi all,

just trying to install Zoneminder docker on Unraid 6.9.2. All from scratch.

I am getting these errors in the docker log file:

Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...done.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/bin/zmupdate.pl line 74.
BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.
Jun 26 08:48:19 0be73ceb92ac zmupdate[16744]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]
Jun 26 08:48:19 0be73ceb92ac zmupdate[16744]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Jun 26 08:48:19 0be73ceb92ac zmupdate[16745]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.

Any hint how to fix it is appreciated

Link to post

https://forums.zoneminder.com/viewtopic.php?f=41&t=30926

@dlandon It appears this is a reproducable issue in the zoneminder.unraid docker image - I came across that forum post when trying to find out why my container refused to start up. I think it might be necessary to restart the mysql service automatically during a fresh install? Not sure what's going on here, still quite new to all this.

Link to post
1 hour ago, cybersteel8 said:

https://forums.zoneminder.com/viewtopic.php?f=41&t=30926

@dlandon It appears this is a reproducable issue in the zoneminder.unraid docker image - I came across that forum post when trying to find out why my container refused to start up. I think it might be necessary to restart the mysql service automatically during a fresh install? Not sure what's going on here, still quite new to all this.

I have applied a fix for this problem.

Link to post

Hello,

Its been a couple of days that Zoneminder will not start because of a mysql issue. (At least this is what I believe). I have tried almost everything that I can think of and yet I still get the same errors when trying to start the container:

 

Get:15 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 procps amd64 2:3.3.16-1ubuntu2.2 [232 kB]
Get:16 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 gcc-10-base amd64 10.3.0-1ubuntu1~20.04 [20.2 kB]
Get:17 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libstdc++6 amd64 10.3.0-1ubuntu1~20.04 [501 kB]
Get:18 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgomp1 amd64 10.3.0-1ubuntu1~20.04 [102 kB]
Get:19 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgcc-s1 amd64 10.3.0-1ubuntu1~20.04 [41.8 kB]
Get:20 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libudev1 amd64 245.4-4ubuntu3.7 [77.6 kB]
Get:21 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libnettle7 amd64 3.5.1+really3.5.1-2ubuntu0.2 [115 kB]
Get:22 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libhogweed5 amd64 3.5.1+really3.5.1-2ubuntu0.2 [138 kB]
Get:23 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 policykit-1 amd64 0.105-26ubuntu1.1 [84.1 kB]
Get:24 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpolkit-agent-1-0 amd64 0.105-26ubuntu1.1 [15.2 kB]
Get:25 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpolkit-gobject-1-0 amd64 0.105-26ubuntu1.1 [39.5 kB]
Get:26 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 python-apt-common all 2.0.0ubuntu0.20.04.5 [17.1 kB]
Get:27 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 python3-apt amd64 2.0.0ubuntu0.20.04.5 [154 kB]
Get:28 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 alsa-ucm-conf all 1.2.2-1ubuntu0.8 [26.5 kB]
Get:29 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpulse0 amd64 1:13.99.1-1ubuntu3.11 [262 kB]
Get:30 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libsecret-common all 0.20.4-0ubuntu1 [3940 B]
Get:31 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libsecret-1-0 amd64 0.20.4-0ubuntu1 [110 kB]
Get:32 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libwebp6 amd64 0.6.1-2ubuntu0.20.04.1 [185 kB]
Get:33 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libwebpdemux2 amd64 0.6.1-2ubuntu0.20.04.1 [9576 B]
Get:34 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libwebpmux3 amd64 0.6.1-2ubuntu0.20.04.1 [19.5 kB]
Get:35 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php-apcu amd64 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 [6888 B]
Get:36 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-apcu amd64 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 [44.9 kB]
Get:37 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php8.0-apcu amd64 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 [45.0 kB]
Get:38 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-json amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [19.2 kB]
Get:39 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-opcache amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [199 kB]
Get:40 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-readline amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [12.6 kB]
Get:41 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 libxml2 amd64 2.9.12+dfsg-0+ubuntu20.04.1+deb.sury.org+1 [705 kB]
Get:42 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-cli amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [1428 kB]
Get:43 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal/main amd64 apache2 amd64 2.4.48-1+ubuntu20.04.1+deb.sury.org+1 [162 kB]
Get:44 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal/main amd64 apache2-data all 2.4.48-1+ubuntu20.04.1+deb.sury.org+1 [161 kB]
Get:45 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal/main amd64 apache2-utils amd64 2.4.48-1+ubuntu20.04.1+deb.sury.org+1 [149 kB]
Get:46 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal/main amd64 apache2-bin amd64 2.4.48-1+ubuntu20.04.1+deb.sury.org+1 [1283 kB]
Get:47 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 libapache2-mod-php7.4 amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [1371 kB]
Get:48 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-mysql amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [121 kB]
Get:49 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-gd amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [27.9 kB]
Get:50 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-fpm amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [1441 kB]
Get:51 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-common amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [1021 kB]
Get:52 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php-mysql all 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 [6988 B]
Get:53 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4 all 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [47.0 kB]
Get:54 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal/main amd64 zoneminder amd64 1.36.5-focal1 [4811 kB]
Get:55 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal/main amd64 zoneminder-doc all 1.36.5-focal1 [4957 kB]
Fetched 32.0 MB in 19s (1663 kB/s)
Preparing to unpack .../systemd-sysv_245.4-4ubuntu3.7_amd64.deb ...
Unpacking systemd-sysv (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Preparing to unpack .../libpam-systemd_245.4-4ubuntu3.7_amd64.deb ...
Unpacking libpam-systemd:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Preparing to unpack .../systemd-timesyncd_245.4-4ubuntu3.7_amd64.deb ...
Unpacking systemd-timesyncd (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Preparing to unpack .../systemd_245.4-4ubuntu3.7_amd64.deb ...
Unpacking systemd (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Preparing to unpack .../libsystemd0_245.4-4ubuntu3.7_amd64.deb ...
Unpacking libsystemd0:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Setting up libsystemd0:amd64 (245.4-4ubuntu3.7) ...
Preparing to unpack .../0-libpython3.8_3.8.5-1~20.04.3_amd64.deb ...
Unpacking libpython3.8:amd64 (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../1-python3.8_3.8.5-1~20.04.3_amd64.deb ...
xargs: memory exhausted
Unpacking python3.8 (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../2-libpython3.8-stdlib_3.8.5-1~20.04.3_amd64.deb ...
xargs: memory exhausted
Unpacking libpython3.8-stdlib:amd64 (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../3-python3.8-minimal_3.8.5-1~20.04.3_amd64.deb ...
Unpacking python3.8-minimal (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../4-libpython3.8-minimal_3.8.5-1~20.04.3_amd64.deb ...
xargs: memory exhausted
Unpacking libpython3.8-minimal:amd64 (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../5-php-common_2%3a84+ubuntu20.04.1+deb.sury.org+1_all.deb ...
Unpacking php-common (2:84+ubuntu20.04.1+deb.sury.org+1) over (2:82+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../6-php8.0-mysql_8.0.7-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php8.0-mysql (8.0.7-1+ubuntu20.04.1+deb.sury.org+1) over (8.0.5-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../7-php8.0-common_8.0.7-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php8.0-common (8.0.7-1+ubuntu20.04.1+deb.sury.org+1) over (8.0.5-2+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php-common (2:84+ubuntu20.04.1+deb.sury.org+1) ...
Removing obsolete conffile /etc/apt/preferences.d/php-common.pref ...
Preparing to unpack .../00-php-apcu_5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) over (5.1.19+4.0.11-7+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../01-php7.4-apcu_5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) over (5.1.19+4.0.11-7+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../02-php8.0-apcu_5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php8.0-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) over (5.1.19+4.0.11-7+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../03-php7.4-json_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-json (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../04-php7.4-opcache_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-opcache (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../05-php7.4-readline_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-readline (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../06-libxml2_2.9.12+dfsg-0+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking libxml2:amd64 (2.9.12+dfsg-0+ubuntu20.04.1+deb.sury.org+1) over (2.9.10+dfsg-5+ubuntu20.04.1+deb.sury.org+3) ...
Preparing to unpack .../07-php7.4-cli_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-cli (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../08-apache2_2.4.48-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking apache2 (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) over (2.4.46-4+deb.sury.org+1+ubuntu20.04.1+deb.sury.org+5) ...
Preparing to unpack .../09-apache2-data_2.4.48-1+ubuntu20.04.1+deb.sury.org+1_all.deb ...
Unpacking apache2-data (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) over (2.4.46-4+deb.sury.org+1+ubuntu20.04.1+deb.sury.org+5) ...
Preparing to unpack .../10-apache2-utils_2.4.48-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking apache2-utils (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) over (2.4.46-4+deb.sury.org+1+ubuntu20.04.1+deb.sury.org+5) ...
Preparing to unpack .../11-libprocps8_2%3a3.3.16-1ubuntu2.2_amd64.deb ...
Unpacking libprocps8:amd64 (2:3.3.16-1ubuntu2.2) over (2:3.3.16-1ubuntu2.1) ...
Preparing to unpack .../12-procps_2%3a3.3.16-1ubuntu2.2_amd64.deb ...
Unpacking procps (2:3.3.16-1ubuntu2.2) over (2:3.3.16-1ubuntu2.1) ...
Preparing to unpack .../13-apache2-bin_2.4.48-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking apache2-bin (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) over (2.4.46-4+deb.sury.org+1+ubuntu20.04.1+deb.sury.org+5) ...
Preparing to unpack .../14-libapache2-mod-php7.4_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking libapache2-mod-php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../15-php7.4-mysql_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-mysql (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../16-php7.4-gd_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-gd (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../17-php7.4-fpm_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-fpm (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../18-php7.4-common_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-common (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../19-gcc-10-base_10.3.0-1ubuntu1~20.04_amd64.deb ...
Unpacking gcc-10-base:amd64 (10.3.0-1ubuntu1~20.04) over (10.2.0-5ubuntu1~20.04) ...
Setting up gcc-10-base:amd64 (10.3.0-1ubuntu1~20.04) ...
Preparing to unpack .../libstdc++6_10.3.0-1ubuntu1~20.04_amd64.deb ...
Unpacking libstdc++6:amd64 (10.3.0-1ubuntu1~20.04) over (10.2.0-5ubuntu1~20.04) ...
Setting up libstdc++6:amd64 (10.3.0-1ubuntu1~20.04) ...
Preparing to unpack .../libgomp1_10.3.0-1ubuntu1~20.04_amd64.deb ...
Unpacking libgomp1:amd64 (10.3.0-1ubuntu1~20.04) over (10.2.0-5ubuntu1~20.04) ...
Preparing to unpack .../libgcc-s1_10.3.0-1ubuntu1~20.04_amd64.deb ...
Unpacking libgcc-s1:amd64 (10.3.0-1ubuntu1~20.04) over (10.2.0-5ubuntu1~20.04) ...
Setting up libgcc-s1:amd64 (10.3.0-1ubuntu1~20.04) ...
Preparing to unpack .../libudev1_245.4-4ubuntu3.7_amd64.deb ...
Unpacking libudev1:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Setting up libudev1:amd64 (245.4-4ubuntu3.7) ...
Preparing to unpack .../libnettle7_3.5.1+really3.5.1-2ubuntu0.2_amd64.deb ...
Unpacking libnettle7:amd64 (3.5.1+really3.5.1-2ubuntu0.2) over (3.5.1+really3.5.1-2ubuntu0.1) ...
Setting up libnettle7:amd64 (3.5.1+really3.5.1-2ubuntu0.2) ...
Preparing to unpack .../libhogweed5_3.5.1+really3.5.1-2ubuntu0.2_amd64.deb ...
Unpacking libhogweed5:amd64 (3.5.1+really3.5.1-2ubuntu0.2) over (3.5.1+really3.5.1-2ubuntu0.1) ...
Setting up libhogweed5:amd64 (3.5.1+really3.5.1-2ubuntu0.2) ...
Preparing to unpack .../00-policykit-1_0.105-26ubuntu1.1_amd64.deb ...
Unpacking policykit-1 (0.105-26ubuntu1.1) over (0.105-26ubuntu1) ...
Preparing to unpack .../01-libpolkit-agent-1-0_0.105-26ubuntu1.1_amd64.deb ...
Unpacking libpolkit-agent-1-0:amd64 (0.105-26ubuntu1.1) over (0.105-26ubuntu1) ...
Preparing to unpack .../02-libpolkit-gobject-1-0_0.105-26ubuntu1.1_amd64.deb ...
Unpacking libpolkit-gobject-1-0:amd64 (0.105-26ubuntu1.1) over (0.105-26ubuntu1) ...
Preparing to unpack .../03-python-apt-common_2.0.0ubuntu0.20.04.5_all.deb ...
Unpacking python-apt-common (2.0.0ubuntu0.20.04.5) over (2.0.0ubuntu0.20.04.4) ...
Preparing to unpack .../04-python3-apt_2.0.0ubuntu0.20.04.5_amd64.deb ...
Unpacking python3-apt (2.0.0ubuntu0.20.04.5) over (2.0.0ubuntu0.20.04.4) ...
Preparing to unpack .../05-alsa-ucm-conf_1.2.2-1ubuntu0.8_all.deb ...
Unpacking alsa-ucm-conf (1.2.2-1ubuntu0.8) over (1.2.2-1ubuntu0.7) ...
Preparing to unpack .../06-libpulse0_1%3a13.99.1-1ubuntu3.11_amd64.deb ...
Unpacking libpulse0:amd64 (1:13.99.1-1ubuntu3.11) over (1:13.99.1-1ubuntu3.10) ...
Preparing to unpack .../07-libsecret-common_0.20.4-0ubuntu1_all.deb ...
Unpacking libsecret-common (0.20.4-0ubuntu1) over (0.20.3-0ubuntu1) ...
Preparing to unpack .../08-libsecret-1-0_0.20.4-0ubuntu1_amd64.deb ...
Unpacking libsecret-1-0:amd64 (0.20.4-0ubuntu1) over (0.20.3-0ubuntu1) ...
Preparing to unpack .../09-libwebp6_0.6.1-2ubuntu0.20.04.1_amd64.deb ...
Unpacking libwebp6:amd64 (0.6.1-2ubuntu0.20.04.1) over (0.6.1-2) ...
Preparing to unpack .../10-libwebpdemux2_0.6.1-2ubuntu0.20.04.1_amd64.deb ...
Unpacking libwebpdemux2:amd64 (0.6.1-2ubuntu0.20.04.1) over (0.6.1-2) ...
Preparing to unpack .../11-libwebpmux3_0.6.1-2ubuntu0.20.04.1_amd64.deb ...
Unpacking libwebpmux3:amd64 (0.6.1-2ubuntu0.20.04.1) over (0.6.1-2) ...
Preparing to unpack .../12-php-mysql_2%3a8.0+84+ubuntu20.04.1+deb.sury.org+1_all.deb ...
Unpacking php-mysql (2:8.0+84+ubuntu20.04.1+deb.sury.org+1) over (2:8.0+82+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../13-php7.4_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_all.deb ...
Unpacking php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../14-zoneminder_1.36.5-focal1_amd64.deb ...
Unpacking zoneminder (1.36.5-focal1) over (1.36.3-focal1) ...
Preparing to unpack .../15-zoneminder-doc_1.36.5-focal1_all.deb ...
Unpacking zoneminder-doc (1.36.5-focal1) over (1.36.3-focal1) ...
Setting up libpython3.8-minimal:amd64 (3.8.5-1~20.04.3) ...
Setting up php7.4-common (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php7.4-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php7.4-mysql (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up alsa-ucm-conf (1.2.2-1ubuntu0.8) ...
Setting up libpulse0:amd64 (1:13.99.1-1ubuntu3.11) ...
Setting up php7.4-readline (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libgomp1:amd64 (10.3.0-1ubuntu1~20.04) ...
Setting up libwebp6:amd64 (0.6.1-2ubuntu0.20.04.1) ...
Setting up php8.0-common (8.0.7-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up python-apt-common (2.0.0ubuntu0.20.04.5) ...
Setting up python3.8-minimal (3.8.5-1~20.04.3) ...
Setting up zoneminder-doc (1.36.5-focal1) ...
Setting up php7.4-opcache (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up apache2-data (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libpython3.8-stdlib:amd64 (3.8.5-1~20.04.3) ...
Setting up python3.8 (3.8.5-1~20.04.3) ...
Setting up libwebpmux3:amd64 (0.6.1-2ubuntu0.20.04.1) ...
Setting up libxml2:amd64 (2.9.12+dfsg-0+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libpolkit-gobject-1-0:amd64 (0.105-26ubuntu1.1) ...
Setting up php7.4-gd (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libsecret-common (0.20.4-0ubuntu1) ...
Setting up libprocps8:amd64 (2:3.3.16-1ubuntu2.2) ...
Setting up apache2-utils (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php7.4-json (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php8.0-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php8.0-mysql (8.0.7-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up python3-apt (2.0.0ubuntu0.20.04.5) ...
Setting up libwebpdemux2:amd64 (0.6.1-2ubuntu0.20.04.1) ...
Setting up php7.4-cli (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up apache2-bin (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libsecret-1-0:amd64 (0.20.4-0ubuntu1) ...
Setting up libpython3.8:amd64 (3.8.5-1~20.04.3) ...
Setting up php-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up procps (2:3.3.16-1ubuntu2.2) ...
Setting up libpolkit-agent-1-0:amd64 (0.105-26ubuntu1.1) ...
Setting up libapache2-mod-php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Package apache2 is not configured yet. Will defer actions by package libapache2-mod-php7.4.
libapache2-mod-php7.4: not switching MPM - already enabled
Jun 30 09:15:10 22a4285c5923 libapache2-mod-php7.4: libapache2-mod-php7.4: not switching MPM - already enabled
Setting up php-mysql (2:8.0+84+ubuntu20.04.1+deb.sury.org+1) ...
Setting up apache2 (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) ...
Installing new version of config file /etc/logrotate.d/apache2 ...

invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of restart.
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of restart.
Setting up php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up systemd (245.4-4ubuntu3.7) ...
Setting up systemd-timesyncd (245.4-4ubuntu3.7) ...
Setting up systemd-sysv (245.4-4ubuntu3.7) ...
Setting up php7.4-fpm (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
NOTICE: Not enabling PHP 7.4 FPM by default.
NOTICE: To enable PHP 7.4 FPM in Apache2 do:
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: Not enabling PHP 7.4 FPM by default.
NOTICE: a2enmod proxy_fcgi setenvif
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: To enable PHP 7.4 FPM in Apache2 do:
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: a2enmod proxy_fcgi setenvif
NOTICE: a2enconf php7.4-fpm
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: a2enconf php7.4-fpm
NOTICE: You are seeing this message because you have apache2 package installed.
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: You are seeing this message because you have apache2 package installed.
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of restart.
Setting up libpam-systemd:amd64 (245.4-4ubuntu3.7) ...
Setting up policykit-1 (0.105-26ubuntu1.1) ...
Setting up zoneminder (1.36.5-focal1) ...
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of stop.
Jun 30 09:20:03 22a4285c5923 /etc/mysql/debian-start[16498]: Upgrading MySQL tables if necessary.
Checking for db
Db exists.
Updating permissions for user zmuser@localhost
Jun 30 09:20:03 22a4285c5923 /etc/mysql/debian-start[16503]: Looking for 'mysql' as: /usr/bin/mysql
Jun 30 09:20:04 22a4285c5923 /etc/mysql/debian-start[16503]: Looking for 'mysqlcheck' as: /usr/bin/mysqlcheck
Jun 30 09:20:04 22a4285c5923 /etc/mysql/debian-start[16503]: This installation of MySQL is already upgraded to 10.3.29-MariaDB, use --force if you still need to run mysql_upgrade
Jun 30 09:20:04 22a4285c5923 /etc/mysql/debian-start[16536]: Checking for insecure root accounts.
Jun 30 09:20:04 22a4285c5923 /etc/mysql/debian-start[16540]: Triggering myisam-recover for all MyISAM tables and aria-recover for all Aria tables

Initiating database upgrade to version 1.36.5 from version 1.36.3


Upgrading database to version 1.36.5

Loading config from DB 221 entries
Saving config to DB 221 entries

Database upgrade to version 1.36.5 successful.



Freshening configuration in database
Migratings passwords, if any...
Loading config from DB 221 entries
Saving config to DB 221 entries
Done Updating
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for libc-bin (2.31-0ubuntu9.2) ...
Processing triggers for dbus (1.12.16-2ubuntu2.1) ...
Processing triggers for php7.4-cli (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Processing triggers for libapache2-mod-php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Processing triggers for php7.4-fpm (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of restart.
NOTICE: Not enabling PHP 7.4 FPM by default.
NOTICE: To enable PHP 7.4 FPM in Apache2 do:
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: Not enabling PHP 7.4 FPM by default.
NOTICE: a2enmod proxy_fcgi setenvif
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: To enable PHP 7.4 FPM in Apache2 do:
NOTICE: a2enconf php7.4-fpm
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: a2enmod proxy_fcgi setenvif
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: a2enconf php7.4-fpm
NOTICE: You are seeing this message because you have apache2 package installed.
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: You are seeing this message because you have apache2 package installed.
Reading package lists...
Building dependency tree...
Reading state information...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
*** Running /etc/my_init.d/30_gen_ssl_keys.sh...
using existing keys in "/config/keys"
*** Running /etc/my_init.d/40_firstrun.sh...
Using existing conf folder
File zm.conf already copied
Moving zmeventnotification.ini
Moving secrets.ini
Moving the event notification server
Moving the pushover api
Using existing ssmtp folder
Moving mysql to config folder
Copy /config/control/ scripts to /usr/share/perl5/ZoneMinder/Control/
Copy /config/conf/ scripts to /etc/zm/conf.d/
Creating symbolink links
Using existing data directory for events
Using existing data directory for images
Using existing data directory for temp
Using existing data directory for cache
Correcting /var/cache/zoneminder/cache permissions...
no crontab for root
Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...done.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.

Compilation failed in require at /usr/bin/zmupdate.pl line 74.

BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.

Jun 30 09:20:58 22a4285c5923 zmupdate[16788]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

Jun 30 09:20:58 22a4285c5923 zmupdate[16788]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.

Compilation failed in require at /usr/bin/zmupdate.pl line 74.

BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.

Jun 30 09:20:59 22a4285c5923 zmupdate[16790]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

Jun 30 09:20:59 22a4285c5923 zmupdate[16790]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

Starting ZoneMinder:
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.

Compilation failed in require at /usr/share/perl5/ZoneMinder.pm line 33.

BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder.pm line 33.

Compilation failed in require at /usr/bin/zmpkg.pl line 34.

BEGIN failed--compilation aborted at /usr/bin/zmpkg.pl line 34.

Jun 30 09:20:59 22a4285c5923 zmpkg[16800]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

Jun 30 09:20:59 22a4285c5923 zmpkg[16800]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

ZoneMinder failed to start


*** /etc/my_init.d/40_firstrun.sh failed with status 255


*** Killing all processes...
Jun 30 09:20:59 22a4285c5923 syslog-ng[40]: syslog-ng shutting down; version='3.25.1'


 

Link to post
1 hour ago, bullmoose20 said:

Hello,

Its been a couple of days that Zoneminder will not start because of a mysql issue. (At least this is what I believe). I have tried almost everything that I can think of and yet I still get the same errors when trying to start the container:

 


Get:15 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 procps amd64 2:3.3.16-1ubuntu2.2 [232 kB]
Get:16 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 gcc-10-base amd64 10.3.0-1ubuntu1~20.04 [20.2 kB]
Get:17 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libstdc++6 amd64 10.3.0-1ubuntu1~20.04 [501 kB]
Get:18 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgomp1 amd64 10.3.0-1ubuntu1~20.04 [102 kB]
Get:19 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgcc-s1 amd64 10.3.0-1ubuntu1~20.04 [41.8 kB]
Get:20 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libudev1 amd64 245.4-4ubuntu3.7 [77.6 kB]
Get:21 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libnettle7 amd64 3.5.1+really3.5.1-2ubuntu0.2 [115 kB]
Get:22 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libhogweed5 amd64 3.5.1+really3.5.1-2ubuntu0.2 [138 kB]
Get:23 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 policykit-1 amd64 0.105-26ubuntu1.1 [84.1 kB]
Get:24 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpolkit-agent-1-0 amd64 0.105-26ubuntu1.1 [15.2 kB]
Get:25 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpolkit-gobject-1-0 amd64 0.105-26ubuntu1.1 [39.5 kB]
Get:26 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 python-apt-common all 2.0.0ubuntu0.20.04.5 [17.1 kB]
Get:27 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 python3-apt amd64 2.0.0ubuntu0.20.04.5 [154 kB]
Get:28 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 alsa-ucm-conf all 1.2.2-1ubuntu0.8 [26.5 kB]
Get:29 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpulse0 amd64 1:13.99.1-1ubuntu3.11 [262 kB]
Get:30 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libsecret-common all 0.20.4-0ubuntu1 [3940 B]
Get:31 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libsecret-1-0 amd64 0.20.4-0ubuntu1 [110 kB]
Get:32 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libwebp6 amd64 0.6.1-2ubuntu0.20.04.1 [185 kB]
Get:33 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libwebpdemux2 amd64 0.6.1-2ubuntu0.20.04.1 [9576 B]
Get:34 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libwebpmux3 amd64 0.6.1-2ubuntu0.20.04.1 [19.5 kB]
Get:35 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php-apcu amd64 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 [6888 B]
Get:36 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-apcu amd64 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 [44.9 kB]
Get:37 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php8.0-apcu amd64 5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1 [45.0 kB]
Get:38 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-json amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [19.2 kB]
Get:39 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-opcache amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [199 kB]
Get:40 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-readline amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [12.6 kB]
Get:41 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 libxml2 amd64 2.9.12+dfsg-0+ubuntu20.04.1+deb.sury.org+1 [705 kB]
Get:42 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-cli amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [1428 kB]
Get:43 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal/main amd64 apache2 amd64 2.4.48-1+ubuntu20.04.1+deb.sury.org+1 [162 kB]
Get:44 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal/main amd64 apache2-data all 2.4.48-1+ubuntu20.04.1+deb.sury.org+1 [161 kB]
Get:45 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal/main amd64 apache2-utils amd64 2.4.48-1+ubuntu20.04.1+deb.sury.org+1 [149 kB]
Get:46 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal/main amd64 apache2-bin amd64 2.4.48-1+ubuntu20.04.1+deb.sury.org+1 [1283 kB]
Get:47 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 libapache2-mod-php7.4 amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [1371 kB]
Get:48 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-mysql amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [121 kB]
Get:49 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-gd amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [27.9 kB]
Get:50 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-fpm amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [1441 kB]
Get:51 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4-common amd64 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [1021 kB]
Get:52 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php-mysql all 2:8.0+84+ubuntu20.04.1+deb.sury.org+1 [6988 B]
Get:53 http://ppa.launchpad.net/ondrej/php/ubuntu focal/main amd64 php7.4 all 7.4.20-1+ubuntu20.04.1+deb.sury.org+1 [47.0 kB]
Get:54 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal/main amd64 zoneminder amd64 1.36.5-focal1 [4811 kB]
Get:55 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal/main amd64 zoneminder-doc all 1.36.5-focal1 [4957 kB]
Fetched 32.0 MB in 19s (1663 kB/s)
Preparing to unpack .../systemd-sysv_245.4-4ubuntu3.7_amd64.deb ...
Unpacking systemd-sysv (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Preparing to unpack .../libpam-systemd_245.4-4ubuntu3.7_amd64.deb ...
Unpacking libpam-systemd:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Preparing to unpack .../systemd-timesyncd_245.4-4ubuntu3.7_amd64.deb ...
Unpacking systemd-timesyncd (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Preparing to unpack .../systemd_245.4-4ubuntu3.7_amd64.deb ...
Unpacking systemd (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Preparing to unpack .../libsystemd0_245.4-4ubuntu3.7_amd64.deb ...
Unpacking libsystemd0:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Setting up libsystemd0:amd64 (245.4-4ubuntu3.7) ...
Preparing to unpack .../0-libpython3.8_3.8.5-1~20.04.3_amd64.deb ...
Unpacking libpython3.8:amd64 (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../1-python3.8_3.8.5-1~20.04.3_amd64.deb ...
xargs: memory exhausted
Unpacking python3.8 (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../2-libpython3.8-stdlib_3.8.5-1~20.04.3_amd64.deb ...
xargs: memory exhausted
Unpacking libpython3.8-stdlib:amd64 (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../3-python3.8-minimal_3.8.5-1~20.04.3_amd64.deb ...
Unpacking python3.8-minimal (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../4-libpython3.8-minimal_3.8.5-1~20.04.3_amd64.deb ...
xargs: memory exhausted
Unpacking libpython3.8-minimal:amd64 (3.8.5-1~20.04.3) over (3.8.5-1~20.04.2) ...
Preparing to unpack .../5-php-common_2%3a84+ubuntu20.04.1+deb.sury.org+1_all.deb ...
Unpacking php-common (2:84+ubuntu20.04.1+deb.sury.org+1) over (2:82+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../6-php8.0-mysql_8.0.7-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php8.0-mysql (8.0.7-1+ubuntu20.04.1+deb.sury.org+1) over (8.0.5-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../7-php8.0-common_8.0.7-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php8.0-common (8.0.7-1+ubuntu20.04.1+deb.sury.org+1) over (8.0.5-2+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php-common (2:84+ubuntu20.04.1+deb.sury.org+1) ...
Removing obsolete conffile /etc/apt/preferences.d/php-common.pref ...
Preparing to unpack .../00-php-apcu_5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) over (5.1.19+4.0.11-7+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../01-php7.4-apcu_5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) over (5.1.19+4.0.11-7+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../02-php8.0-apcu_5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php8.0-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) over (5.1.19+4.0.11-7+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../03-php7.4-json_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-json (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../04-php7.4-opcache_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-opcache (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../05-php7.4-readline_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-readline (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../06-libxml2_2.9.12+dfsg-0+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking libxml2:amd64 (2.9.12+dfsg-0+ubuntu20.04.1+deb.sury.org+1) over (2.9.10+dfsg-5+ubuntu20.04.1+deb.sury.org+3) ...
Preparing to unpack .../07-php7.4-cli_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-cli (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../08-apache2_2.4.48-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking apache2 (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) over (2.4.46-4+deb.sury.org+1+ubuntu20.04.1+deb.sury.org+5) ...
Preparing to unpack .../09-apache2-data_2.4.48-1+ubuntu20.04.1+deb.sury.org+1_all.deb ...
Unpacking apache2-data (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) over (2.4.46-4+deb.sury.org+1+ubuntu20.04.1+deb.sury.org+5) ...
Preparing to unpack .../10-apache2-utils_2.4.48-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking apache2-utils (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) over (2.4.46-4+deb.sury.org+1+ubuntu20.04.1+deb.sury.org+5) ...
Preparing to unpack .../11-libprocps8_2%3a3.3.16-1ubuntu2.2_amd64.deb ...
Unpacking libprocps8:amd64 (2:3.3.16-1ubuntu2.2) over (2:3.3.16-1ubuntu2.1) ...
Preparing to unpack .../12-procps_2%3a3.3.16-1ubuntu2.2_amd64.deb ...
Unpacking procps (2:3.3.16-1ubuntu2.2) over (2:3.3.16-1ubuntu2.1) ...
Preparing to unpack .../13-apache2-bin_2.4.48-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking apache2-bin (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) over (2.4.46-4+deb.sury.org+1+ubuntu20.04.1+deb.sury.org+5) ...
Preparing to unpack .../14-libapache2-mod-php7.4_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking libapache2-mod-php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../15-php7.4-mysql_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-mysql (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../16-php7.4-gd_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-gd (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../17-php7.4-fpm_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-fpm (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../18-php7.4-common_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_amd64.deb ...
Unpacking php7.4-common (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../19-gcc-10-base_10.3.0-1ubuntu1~20.04_amd64.deb ...
Unpacking gcc-10-base:amd64 (10.3.0-1ubuntu1~20.04) over (10.2.0-5ubuntu1~20.04) ...
Setting up gcc-10-base:amd64 (10.3.0-1ubuntu1~20.04) ...
Preparing to unpack .../libstdc++6_10.3.0-1ubuntu1~20.04_amd64.deb ...
Unpacking libstdc++6:amd64 (10.3.0-1ubuntu1~20.04) over (10.2.0-5ubuntu1~20.04) ...
Setting up libstdc++6:amd64 (10.3.0-1ubuntu1~20.04) ...
Preparing to unpack .../libgomp1_10.3.0-1ubuntu1~20.04_amd64.deb ...
Unpacking libgomp1:amd64 (10.3.0-1ubuntu1~20.04) over (10.2.0-5ubuntu1~20.04) ...
Preparing to unpack .../libgcc-s1_10.3.0-1ubuntu1~20.04_amd64.deb ...
Unpacking libgcc-s1:amd64 (10.3.0-1ubuntu1~20.04) over (10.2.0-5ubuntu1~20.04) ...
Setting up libgcc-s1:amd64 (10.3.0-1ubuntu1~20.04) ...
Preparing to unpack .../libudev1_245.4-4ubuntu3.7_amd64.deb ...
Unpacking libudev1:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ...
Setting up libudev1:amd64 (245.4-4ubuntu3.7) ...
Preparing to unpack .../libnettle7_3.5.1+really3.5.1-2ubuntu0.2_amd64.deb ...
Unpacking libnettle7:amd64 (3.5.1+really3.5.1-2ubuntu0.2) over (3.5.1+really3.5.1-2ubuntu0.1) ...
Setting up libnettle7:amd64 (3.5.1+really3.5.1-2ubuntu0.2) ...
Preparing to unpack .../libhogweed5_3.5.1+really3.5.1-2ubuntu0.2_amd64.deb ...
Unpacking libhogweed5:amd64 (3.5.1+really3.5.1-2ubuntu0.2) over (3.5.1+really3.5.1-2ubuntu0.1) ...
Setting up libhogweed5:amd64 (3.5.1+really3.5.1-2ubuntu0.2) ...
Preparing to unpack .../00-policykit-1_0.105-26ubuntu1.1_amd64.deb ...
Unpacking policykit-1 (0.105-26ubuntu1.1) over (0.105-26ubuntu1) ...
Preparing to unpack .../01-libpolkit-agent-1-0_0.105-26ubuntu1.1_amd64.deb ...
Unpacking libpolkit-agent-1-0:amd64 (0.105-26ubuntu1.1) over (0.105-26ubuntu1) ...
Preparing to unpack .../02-libpolkit-gobject-1-0_0.105-26ubuntu1.1_amd64.deb ...
Unpacking libpolkit-gobject-1-0:amd64 (0.105-26ubuntu1.1) over (0.105-26ubuntu1) ...
Preparing to unpack .../03-python-apt-common_2.0.0ubuntu0.20.04.5_all.deb ...
Unpacking python-apt-common (2.0.0ubuntu0.20.04.5) over (2.0.0ubuntu0.20.04.4) ...
Preparing to unpack .../04-python3-apt_2.0.0ubuntu0.20.04.5_amd64.deb ...
Unpacking python3-apt (2.0.0ubuntu0.20.04.5) over (2.0.0ubuntu0.20.04.4) ...
Preparing to unpack .../05-alsa-ucm-conf_1.2.2-1ubuntu0.8_all.deb ...
Unpacking alsa-ucm-conf (1.2.2-1ubuntu0.8) over (1.2.2-1ubuntu0.7) ...
Preparing to unpack .../06-libpulse0_1%3a13.99.1-1ubuntu3.11_amd64.deb ...
Unpacking libpulse0:amd64 (1:13.99.1-1ubuntu3.11) over (1:13.99.1-1ubuntu3.10) ...
Preparing to unpack .../07-libsecret-common_0.20.4-0ubuntu1_all.deb ...
Unpacking libsecret-common (0.20.4-0ubuntu1) over (0.20.3-0ubuntu1) ...
Preparing to unpack .../08-libsecret-1-0_0.20.4-0ubuntu1_amd64.deb ...
Unpacking libsecret-1-0:amd64 (0.20.4-0ubuntu1) over (0.20.3-0ubuntu1) ...
Preparing to unpack .../09-libwebp6_0.6.1-2ubuntu0.20.04.1_amd64.deb ...
Unpacking libwebp6:amd64 (0.6.1-2ubuntu0.20.04.1) over (0.6.1-2) ...
Preparing to unpack .../10-libwebpdemux2_0.6.1-2ubuntu0.20.04.1_amd64.deb ...
Unpacking libwebpdemux2:amd64 (0.6.1-2ubuntu0.20.04.1) over (0.6.1-2) ...
Preparing to unpack .../11-libwebpmux3_0.6.1-2ubuntu0.20.04.1_amd64.deb ...
Unpacking libwebpmux3:amd64 (0.6.1-2ubuntu0.20.04.1) over (0.6.1-2) ...
Preparing to unpack .../12-php-mysql_2%3a8.0+84+ubuntu20.04.1+deb.sury.org+1_all.deb ...
Unpacking php-mysql (2:8.0+84+ubuntu20.04.1+deb.sury.org+1) over (2:8.0+82+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../13-php7.4_7.4.20-1+ubuntu20.04.1+deb.sury.org+1_all.deb ...
Unpacking php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) over (7.4.18-2+ubuntu20.04.1+deb.sury.org+1) ...
Preparing to unpack .../14-zoneminder_1.36.5-focal1_amd64.deb ...
Unpacking zoneminder (1.36.5-focal1) over (1.36.3-focal1) ...
Preparing to unpack .../15-zoneminder-doc_1.36.5-focal1_all.deb ...
Unpacking zoneminder-doc (1.36.5-focal1) over (1.36.3-focal1) ...
Setting up libpython3.8-minimal:amd64 (3.8.5-1~20.04.3) ...
Setting up php7.4-common (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php7.4-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php7.4-mysql (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up alsa-ucm-conf (1.2.2-1ubuntu0.8) ...
Setting up libpulse0:amd64 (1:13.99.1-1ubuntu3.11) ...
Setting up php7.4-readline (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libgomp1:amd64 (10.3.0-1ubuntu1~20.04) ...
Setting up libwebp6:amd64 (0.6.1-2ubuntu0.20.04.1) ...
Setting up php8.0-common (8.0.7-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up python-apt-common (2.0.0ubuntu0.20.04.5) ...
Setting up python3.8-minimal (3.8.5-1~20.04.3) ...
Setting up zoneminder-doc (1.36.5-focal1) ...
Setting up php7.4-opcache (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up apache2-data (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libpython3.8-stdlib:amd64 (3.8.5-1~20.04.3) ...
Setting up python3.8 (3.8.5-1~20.04.3) ...
Setting up libwebpmux3:amd64 (0.6.1-2ubuntu0.20.04.1) ...
Setting up libxml2:amd64 (2.9.12+dfsg-0+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libpolkit-gobject-1-0:amd64 (0.105-26ubuntu1.1) ...
Setting up php7.4-gd (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libsecret-common (0.20.4-0ubuntu1) ...
Setting up libprocps8:amd64 (2:3.3.16-1ubuntu2.2) ...
Setting up apache2-utils (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php7.4-json (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php8.0-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up php8.0-mysql (8.0.7-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up python3-apt (2.0.0ubuntu0.20.04.5) ...
Setting up libwebpdemux2:amd64 (0.6.1-2ubuntu0.20.04.1) ...
Setting up php7.4-cli (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up apache2-bin (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up libsecret-1-0:amd64 (0.20.4-0ubuntu1) ...
Setting up libpython3.8:amd64 (3.8.5-1~20.04.3) ...
Setting up php-apcu (5.1.20+4.0.11-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up procps (2:3.3.16-1ubuntu2.2) ...
Setting up libpolkit-agent-1-0:amd64 (0.105-26ubuntu1.1) ...
Setting up libapache2-mod-php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Package apache2 is not configured yet. Will defer actions by package libapache2-mod-php7.4.
libapache2-mod-php7.4: not switching MPM - already enabled
Jun 30 09:15:10 22a4285c5923 libapache2-mod-php7.4: libapache2-mod-php7.4: not switching MPM - already enabled
Setting up php-mysql (2:8.0+84+ubuntu20.04.1+deb.sury.org+1) ...
Setting up apache2 (2.4.48-1+ubuntu20.04.1+deb.sury.org+1) ...
Installing new version of config file /etc/logrotate.d/apache2 ...

invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of restart.
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of restart.
Setting up php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Setting up systemd (245.4-4ubuntu3.7) ...
Setting up systemd-timesyncd (245.4-4ubuntu3.7) ...
Setting up systemd-sysv (245.4-4ubuntu3.7) ...
Setting up php7.4-fpm (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
NOTICE: Not enabling PHP 7.4 FPM by default.
NOTICE: To enable PHP 7.4 FPM in Apache2 do:
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: Not enabling PHP 7.4 FPM by default.
NOTICE: a2enmod proxy_fcgi setenvif
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: To enable PHP 7.4 FPM in Apache2 do:
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: a2enmod proxy_fcgi setenvif
NOTICE: a2enconf php7.4-fpm
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: a2enconf php7.4-fpm
NOTICE: You are seeing this message because you have apache2 package installed.
Jun 30 09:19:39 22a4285c5923 php7.4-fpm: NOTICE: You are seeing this message because you have apache2 package installed.
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of restart.
Setting up libpam-systemd:amd64 (245.4-4ubuntu3.7) ...
Setting up policykit-1 (0.105-26ubuntu1.1) ...
Setting up zoneminder (1.36.5-focal1) ...
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of stop.
Jun 30 09:20:03 22a4285c5923 /etc/mysql/debian-start[16498]: Upgrading MySQL tables if necessary.
Checking for db
Db exists.
Updating permissions for user zmuser@localhost
Jun 30 09:20:03 22a4285c5923 /etc/mysql/debian-start[16503]: Looking for 'mysql' as: /usr/bin/mysql
Jun 30 09:20:04 22a4285c5923 /etc/mysql/debian-start[16503]: Looking for 'mysqlcheck' as: /usr/bin/mysqlcheck
Jun 30 09:20:04 22a4285c5923 /etc/mysql/debian-start[16503]: This installation of MySQL is already upgraded to 10.3.29-MariaDB, use --force if you still need to run mysql_upgrade
Jun 30 09:20:04 22a4285c5923 /etc/mysql/debian-start[16536]: Checking for insecure root accounts.
Jun 30 09:20:04 22a4285c5923 /etc/mysql/debian-start[16540]: Triggering myisam-recover for all MyISAM tables and aria-recover for all Aria tables

Initiating database upgrade to version 1.36.5 from version 1.36.3


Upgrading database to version 1.36.5

Loading config from DB 221 entries
Saving config to DB 221 entries

Database upgrade to version 1.36.5 successful.



Freshening configuration in database
Migratings passwords, if any...
Loading config from DB 221 entries
Saving config to DB 221 entries
Done Updating
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for libc-bin (2.31-0ubuntu9.2) ...
Processing triggers for dbus (1.12.16-2ubuntu2.1) ...
Processing triggers for php7.4-cli (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Processing triggers for libapache2-mod-php7.4 (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
Processing triggers for php7.4-fpm (7.4.20-1+ubuntu20.04.1+deb.sury.org+1) ...
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of restart.
NOTICE: Not enabling PHP 7.4 FPM by default.
NOTICE: To enable PHP 7.4 FPM in Apache2 do:
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: Not enabling PHP 7.4 FPM by default.
NOTICE: a2enmod proxy_fcgi setenvif
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: To enable PHP 7.4 FPM in Apache2 do:
NOTICE: a2enconf php7.4-fpm
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: a2enmod proxy_fcgi setenvif
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: a2enconf php7.4-fpm
NOTICE: You are seeing this message because you have apache2 package installed.
Jun 30 09:20:41 22a4285c5923 php7.4-fpm: NOTICE: You are seeing this message because you have apache2 package installed.
Reading package lists...
Building dependency tree...
Reading state information...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
*** Running /etc/my_init.d/30_gen_ssl_keys.sh...
using existing keys in "/config/keys"
*** Running /etc/my_init.d/40_firstrun.sh...
Using existing conf folder
File zm.conf already copied
Moving zmeventnotification.ini
Moving secrets.ini
Moving the event notification server
Moving the pushover api
Using existing ssmtp folder
Moving mysql to config folder
Copy /config/control/ scripts to /usr/share/perl5/ZoneMinder/Control/
Copy /config/conf/ scripts to /etc/zm/conf.d/
Creating symbolink links
Using existing data directory for events
Using existing data directory for images
Using existing data directory for temp
Using existing data directory for cache
Correcting /var/cache/zoneminder/cache permissions...
no crontab for root
Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...done.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.

Compilation failed in require at /usr/bin/zmupdate.pl line 74.

BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.

Jun 30 09:20:58 22a4285c5923 zmupdate[16788]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

Jun 30 09:20:58 22a4285c5923 zmupdate[16788]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.

Compilation failed in require at /usr/bin/zmupdate.pl line 74.

BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.

Jun 30 09:20:59 22a4285c5923 zmupdate[16790]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

Jun 30 09:20:59 22a4285c5923 zmupdate[16790]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

Starting ZoneMinder:
DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Unknown database 'zm' at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.

Compilation failed in require at /usr/share/perl5/ZoneMinder.pm line 33.

BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder.pm line 33.

Compilation failed in require at /usr/bin/zmpkg.pl line 34.

BEGIN failed--compilation aborted at /usr/bin/zmpkg.pl line 34.

Jun 30 09:20:59 22a4285c5923 zmpkg[16800]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

Jun 30 09:20:59 22a4285c5923 zmpkg[16800]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]

ZoneMinder failed to start


*** /etc/my_init.d/40_firstrun.sh failed with status 255


*** Killing all processes...
Jun 30 09:20:59 22a4285c5923 syslog-ng[40]: syslog-ng shutting down; version='3.25.1'


 

Update the Zoneminder container and try again.

Link to post
42 minutes ago, dlandon said:

Update the Zoneminder container and try again.

Hello,

Here is the result of stopping the container, and restarting the container, which should download the latest version:

 

Quote

ErrorWarningSystemArrayLogin


Jun 30 09:20:59 22a4285c5923 zmpkg[16800]: ERR [Error reconnecting to db: errstr:Unknown database 'zm' error val:]
ZoneMinder failed to start

*** /etc/my_init.d/40_firstrun.sh failed with status 255

*** Killing all processes...
Jun 30 09:20:59 22a4285c5923 syslog-ng[40]: syslog-ng shutting down; version='3.25.1'
*** Running /etc/my_init.d/00_regen_ssh_host_keys.sh...
*** Running /etc/my_init.d/05_set_the_time.sh...
*** Running /etc/my_init.d/06_set_php_time.sh...
*** Running /etc/my_init.d/07_set_dri_permissions.sh...
Granting permissions on /dev/dri/* devices...
*** Running /etc/my_init.d/10_syslog-ng.init...
Jun 30 12:13:35 22a4285c5923 syslog-ng[20]: syslog-ng starting up; version='3.25.1'
*** Running /etc/my_init.d/20_apt_update.sh...
Performing updates...
Get:1 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]
Hit:2 http://archive.ubuntu.com/ubuntu focal InRelease
Hit:3 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal InRelease
Get:4 http://archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]
Hit:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal InRelease
Hit:6 http://ppa.launchpad.net/ondrej/php/ubuntu focal InRelease
Get:7 http://archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]
Get:8 http://security.ubuntu.com/ubuntu focal-security/main Sources [195 kB]
Get:9 http://security.ubuntu.com/ubuntu focal-security/universe amd64 Packages [778 kB]
Get:10 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages [925 kB]
Get:11 http://archive.ubuntu.com/ubuntu focal-updates/main Sources [516 kB]
Get:12 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 Packages [1036 kB]
Get:13 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages [1361 kB]
Fetched 5138 kB in 8s (611 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
The following packages will be upgraded:
libpython3.8 libpython3.8-minimal libpython3.8-stdlib python3.8
python3.8-minimal
5 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 6302 kB of archives.
After this operation, 58.4 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpython3.8 amd64 3.8.10-0ubuntu1~20.04 [1625 kB]
Get:2 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 python3.8 amd64 3.8.10-0ubuntu1~20.04 [387 kB]
Get:3 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpython3.8-stdlib amd64 3.8.10-0ubuntu1~20.04 [1675 kB]
Get:4 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 python3.8-minimal amd64 3.8.10-0ubuntu1~20.04 [1898 kB]
Get:5 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpython3.8-minimal amd64 3.8.10-0ubuntu1~20.04 [717 kB]
Fetched 6302 kB in 7s (859 kB/s)
Preparing to unpack .../libpython3.8_3.8.10-0ubuntu1~20.04_amd64.deb ...
Unpacking libpython3.8:amd64 (3.8.10-0ubuntu1~20.04) over (3.8.5-1~20.04.3) ...
Preparing to unpack .../python3.8_3.8.10-0ubuntu1~20.04_amd64.deb ...
xargs: memory exhausted
Unpacking python3.8 (3.8.10-0ubuntu1~20.04) over (3.8.5-1~20.04.3) ...
Preparing to unpack .../libpython3.8-stdlib_3.8.10-0ubuntu1~20.04_amd64.deb ...
xargs: memory exhausted
Unpacking libpython3.8-stdlib:amd64 (3.8.10-0ubuntu1~20.04) over (3.8.5-1~20.04.3) ...
Preparing to unpack .../python3.8-minimal_3.8.10-0ubuntu1~20.04_amd64.deb ...
Unpacking python3.8-minimal (3.8.10-0ubuntu1~20.04) over (3.8.5-1~20.04.3) ...
Preparing to unpack .../libpython3.8-minimal_3.8.10-0ubuntu1~20.04_amd64.deb ...
xargs: memory exhausted
Unpacking libpython3.8-minimal:amd64 (3.8.10-0ubuntu1~20.04) over (3.8.5-1~20.04.3) ...
Setting up libpython3.8-minimal:amd64 (3.8.10-0ubuntu1~20.04) ...
Setting up python3.8-minimal (3.8.10-0ubuntu1~20.04) ...
Setting up libpython3.8-stdlib:amd64 (3.8.10-0ubuntu1~20.04) ...
Setting up python3.8 (3.8.10-0ubuntu1~20.04) ...
Setting up libpython3.8:amd64 (3.8.10-0ubuntu1~20.04) ...
Processing triggers for libc-bin (2.31-0ubuntu9.2) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Reading package lists...
Building dependency tree...
Reading state information...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
*** Running /etc/my_init.d/30_gen_ssl_keys.sh...
using existing keys in "/config/keys"
*** Running /etc/my_init.d/40_firstrun.sh...
Using existing conf folder
File zm.conf already copied
File zmeventnotification.ini already moved
File secrets.ini already moved
Event notification server already moved
Pushover api already moved
Using existing ssmtp folder
Using existing mysql database folder
Copy /config/control/ scripts to /usr/share/perl5/ZoneMinder/Control/
Copy /config/conf/ scripts to /etc/zm/conf.d/
Creating symbolink links
usermod: no changes
usermod: no changes
usermod: no changes
Using existing data directory for events
Using existing data directory for images
Using existing data directory for temp
Using existing data directory for cache
no crontab for root
Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...done.
Jun 30 12:15:57 22a4285c5923 /etc/mysql/debian-start[989]: Upgrading MySQL tables if necessary.
Jun 30 12:15:57 22a4285c5923 /etc/mysql/debian-start[994]: Looking for 'mysql' as: /usr/bin/mysql
Jun 30 12:15:57 22a4285c5923 /etc/mysql/debian-start[994]: Looking for 'mysqlcheck' as: /usr/bin/mysqlcheck
Jun 30 12:15:57 22a4285c5923 /etc/mysql/debian-start[994]: This installation of MySQL is already upgraded to 10.3.29-MariaDB, use --force if you still need to run mysql_upgrade
Jun 30 12:15:57 22a4285c5923 /etc/mysql/debian-start[1002]: Checking for insecure root accounts.
Jun 30 12:15:57 22a4285c5923 /etc/mysql/debian-start[1006]: Triggering myisam-recover for all MyISAM tables and aria-recover for all Aria tables

Database already at version 1.36.5, update skipped.


Freshening configuration in database
Migratings passwords, if any...
Loading config from DB 221 entries
Saving config to DB 221 entries
Starting ZoneMinder:
Jun 30 12:15:58 22a4285c5923 zmpkg[1048]: INF [Sanity checking States table...]
Jun 30 12:15:58 22a4285c5923 zmpkg[1048]: INF [Command: start]
Jun 30 12:15:59 22a4285c5923 zmdc[1060]: INF [Server starting at 21/06/30 12:15:59]
Jun 30 12:16:00 22a4285c5923 zmdc[1060]: INF [Socket should be open at /run/zm/zmdc.sock]
Jun 30 12:16:00 22a4285c5923 zmpkg[1048]: INF [Single server configuration detected. Starting up services.]
Jun 30 12:16:00 22a4285c5923 zmdc[1060]: INF ['zmfilter.pl --filter_id=1 --daemon' starting at 21/06/30 12:16:00, pid = 1089]
Jun 30 12:16:00 22a4285c5923 zmdc[1089]: INF ['zmfilter.pl --filter_id=1 --daemon' started at 21/06/30 12:16:00]
Jun 30 12:16:01 22a4285c5923 zmdc[1094]: INF ['zmfilter.pl --filter_id=2 --daemon' started at 21/06/30 12:16:01]
Jun 30 12:16:01 22a4285c5923 zmdc[1060]: INF ['zmfilter.pl --filter_id=2 --daemon' starting at 21/06/30 12:16:01, pid = 1094]
Jun 30 12:16:01 22a4285c5923 zmdc[1099]: INF ['zmwatch.pl' started at 21/06/30 12:16:01]
Jun 30 12:16:01 22a4285c5923 zmdc[1060]: INF ['zmwatch.pl' starting at 21/06/30 12:16:01, pid = 1099]
Jun 30 12:16:02 22a4285c5923 zmfilter_1[1089]: INF [Scanning for events using filter id '1']
Jun 30 12:16:02 22a4285c5923 zmdc[1105]: INF ['zmupdate.pl -c' started at 21/06/30 12:16:02]
Jun 30 12:16:02 22a4285c5923 zmdc[1060]: INF ['zmupdate.pl -c' starting at 21/06/30 12:16:02, pid = 1105]
Jun 30 12:16:02 22a4285c5923 zmfilter_2[1094]: INF [Scanning for events using filter id '2']
Jun 30 12:16:02 22a4285c5923 zmwatch[1099]: INF [Watchdog starting, pausing for 30 seconds]
Jun 30 12:16:02 22a4285c5923 zmdc[1113]: INF ['zmstats.pl' started at 21/06/30 12:16:02]
Jun 30 12:16:02 22a4285c5923 zmdc[1060]: INF ['zmstats.pl' starting at 21/06/30 12:16:02, pid = 1113]
ZoneMinder started successfully

*** Running /etc/my_init.d/999_advanced_script.sh...
*** Booting runit daemon...
Jun 30 12:16:03 22a4285c5923 zmupdate[1105]: INF [Checking for updates]
*** Runit started as PID 1117
Jun 30 12:16:03 22a4285c5923 cron[1120]: (CRON) INFO (pidfile fd = 3)
Jun 30 12:16:03 22a4285c5923 cron[1120]: (CRON) INFO (Running @reboot jobs)
Jun 30 12:16:03 22a4285c5923 zmstats[1113]: INF [Stats Daemon starting in 30 seconds]
Jun 30 12:16:07 22a4285c5923 zmupdate[1105]: INF [Got version: 1.34.26]
Jun 30 12:17:01 22a4285c5923 CRON[1147]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
*** Shutting down runit daemon (PID 1117)...
*** Running /etc/my_init.post_shutdown.d/10_syslog-ng.shutdown...
Jun 30 12:17:16 22a4285c5923 syslog-ng[20]: syslog-ng shutting down; version='3.25.1'
*** Init system aborted.
*** Killing all processes...
*** Running /etc/my_init.d/00_regen_ssh_host_keys.sh...
*** Running /etc/my_init.d/05_set_the_time.sh...
*** Running /etc/my_init.d/06_set_php_time.sh...
*** Running /etc/my_init.d/07_set_dri_permissions.sh...
Granting permissions on /dev/dri/* devices...
*** Running /etc/my_init.d/10_syslog-ng.init...
Jun 30 12:19:50 22a4285c5923 syslog-ng[20]: syslog-ng starting up; version='3.25.1'
*** Running /etc/my_init.d/20_apt_update.sh...
Performing updates...
Hit:1 http://security.ubuntu.com/ubuntu focal-security InRelease
Hit:2 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal InRelease
Hit:3 http://archive.ubuntu.com/ubuntu focal InRelease
Hit:4 http://archive.ubuntu.com/ubuntu focal-updates InRelease
Hit:5 http://archive.ubuntu.com/ubuntu focal-backports InRelease
Hit:6 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal InRelease
Hit:7 http://ppa.launchpad.net/ondrej/php/ubuntu focal InRelease
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
*** Running /etc/my_init.d/30_gen_ssl_keys.sh...
using existing keys in "/config/keys"
*** Running /etc/my_init.d/40_firstrun.sh...
Using existing conf folder
File zm.conf already copied
File zmeventnotification.ini already moved
File secrets.ini already moved
Event notification server already moved
Pushover api already moved
Using existing ssmtp folder
Using existing mysql database folder
Copy /config/control/ scripts to /usr/share/perl5/ZoneMinder/Control/
Copy /config/conf/ scripts to /etc/zm/conf.d/
Creating symbolink links
usermod: no changes
usermod: no changes
usermod: no changes
Using existing data directory for events
Using existing data directory for images
Using existing data directory for temp
Using existing data directory for cache
no crontab for root
Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...fail!
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/bin/zmupdate.pl line 74.
BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.
Jun 30 12:20:43 22a4285c5923 zmupdate[1124]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Jun 30 12:20:43 22a4285c5923 zmupdate[1124]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/bin/zmupdate.pl line 74.
BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.
Jun 30 12:20:43 22a4285c5923 zmupdate[1125]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Jun 30 12:20:43 22a4285c5923 zmupdate[1125]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Starting ZoneMinder:
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/share/perl5/ZoneMinder.pm line 33.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder.pm line 33.
Compilation failed in require at /usr/bin/zmpkg.pl line 34.
BEGIN failed--compilation aborted at /usr/bin/zmpkg.pl line 34.
Jun 30 12:20:44 22a4285c5923 zmpkg[1136]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Jun 30 12:20:44 22a4285c5923 zmpkg[1136]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
ZoneMinder failed to start

*** /etc/my_init.d/40_firstrun.sh failed with status 255

*** Killing all processes...
Jun 30 12:20:44 22a4285c5923 syslog-ng[20]: syslog-ng shutting down; version='3.25.1'
*** Running /etc/my_init.d/00_regen_ssh_host_keys.sh...
*** Running /etc/my_init.d/05_set_the_time.sh...
*** Running /etc/my_init.d/06_set_php_time.sh...
*** Running /etc/my_init.d/07_set_dri_permissions.sh...
Granting permissions on /dev/dri/* devices...
*** Running /etc/my_init.d/10_syslog-ng.init...
Jun 30 12:28:05 22a4285c5923 syslog-ng[20]: syslog-ng starting up; version='3.25.1'
*** Running /etc/my_init.d/20_apt_update.sh...
Performing updates...
Hit:1 http://security.ubuntu.com/ubuntu focal-security InRelease
Hit:2 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal InRelease
Hit:3 http://archive.ubuntu.com/ubuntu focal InRelease
Get:4 http://archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]
Hit:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal InRelease
Hit:6 http://ppa.launchpad.net/ondrej/php/ubuntu focal InRelease
Get:7 http://archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]
Fetched 214 kB in 6s (35.9 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
*** Running /etc/my_init.d/30_gen_ssl_keys.sh...
using existing keys in "/config/keys"
*** Running /etc/my_init.d/40_firstrun.sh...
Using existing conf folder
File zm.conf already copied
File zmeventnotification.ini already moved
File secrets.ini already moved
Event notification server already moved
Pushover api already moved
Using existing ssmtp folder
Using existing mysql database folder
Copy /config/control/ scripts to /usr/share/perl5/ZoneMinder/Control/
Copy /config/conf/ scripts to /etc/zm/conf.d/
Creating symbolink links
usermod: no changes
usermod: no changes
usermod: no changes
Using existing data directory for events
Using existing data directory for images
Using existing data directory for temp
Using existing data directory for cache
no crontab for root
Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...fail!
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/bin/zmupdate.pl line 74.
BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.
Jun 30 12:28:57 22a4285c5923 zmupdate[1120]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Jun 30 12:28:57 22a4285c5923 zmupdate[1120]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/bin/zmupdate.pl line 74.
BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.
Jun 30 12:28:57 22a4285c5923 zmupdate[1122]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Jun 30 12:28:57 22a4285c5923 zmupdate[1122]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Starting ZoneMinder:
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/share/perl5/ZoneMinder.pm line 33.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder.pm line 33.
Compilation failed in require at /usr/bin/zmpkg.pl line 34.
BEGIN failed--compilation aborted at /usr/bin/zmpkg.pl line 34.
Jun 30 12:28:58 22a4285c5923 zmpkg[1132]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Jun 30 12:28:58 22a4285c5923 zmpkg[1132]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
ZoneMinder failed to start

*** /etc/my_init.d/40_firstrun.sh failed with status 255

*** Killing all processes...
Jun 30 12:28:58 22a4285c5923 syslog-ng[20]: syslog-ng shutting down; version='3.25.1'
*** Running /etc/my_init.d/00_regen_ssh_host_keys.sh...
*** Running /etc/my_init.d/05_set_the_time.sh...
*** Running /etc/my_init.d/06_set_php_time.sh...
*** Running /etc/my_init.d/07_set_dri_permissions.sh...
Granting permissions on /dev/dri/* devices...
*** Running /etc/my_init.d/10_syslog-ng.init...
Jun 30 12:32:07 22a4285c5923 syslog-ng[20]: syslog-ng starting up; version='3.25.1'
*** Running /etc/my_init.d/20_apt_update.sh...
Performing updates...
Hit:1 http://security.ubuntu.com/ubuntu focal-security InRelease
Hit:2 http://archive.ubuntu.com/ubuntu focal InRelease
Hit:3 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal InRelease
Hit:4 http://archive.ubuntu.com/ubuntu focal-updates InRelease
Hit:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal InRelease
Get:6 http://archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]
Hit:7 http://ppa.launchpad.net/ondrej/php/ubuntu focal InRelease
Fetched 101 kB in 6s (16.6 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
*** Running /etc/my_init.d/30_gen_ssl_keys.sh...
using existing keys in "/config/keys"
*** Running /etc/my_init.d/40_firstrun.sh...
Using existing conf folder
File zm.conf already copied
File zmeventnotification.ini already moved
File secrets.ini already moved
Event notification server already moved
Pushover api already moved
Using existing ssmtp folder
Using existing mysql database folder
Copy /config/control/ scripts to /usr/share/perl5/ZoneMinder/Control/
Copy /config/conf/ scripts to /etc/zm/conf.d/
Creating symbolink links
usermod: no changes
usermod: no changes
usermod: no changes
Using existing data directory for events
Using existing data directory for images
Using existing data directory for temp
Using existing data directory for cache
no crontab for root
Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...fail!
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/bin/zmupdate.pl line 74.
BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.
Jun 30 12:32:57 22a4285c5923 zmupdate[1249]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]
Jun 30 12:32:57 22a4285c5923 zmupdate[1249]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/bin/zmupdate.pl line 74.
BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.
Jun 30 12:32:58 22a4285c5923 zmupdate[1250]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]
Jun 30 12:32:58 22a4285c5923 zmupdate[1250]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]
Starting ZoneMinder:
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/share/perl5/ZoneMinder.pm line 33.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder.pm line 33.
Compilation failed in require at /usr/bin/zmpkg.pl line 34.
BEGIN failed--compilation aborted at /usr/bin/zmpkg.pl line 34.
Jun 30 12:32:58 22a4285c5923 zmpkg[1261]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]
Jun 30 12:32:58 22a4285c5923 zmpkg[1261]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]
ZoneMinder failed to start

*** /etc/my_init.d/40_firstrun.sh failed with status 255

*** Killing all processes...
Jun 30 12:32:58 22a4285c5923 syslog-ng[20]: syslog-ng shutting down; version='3.25.1'

 

Link to post
2 hours ago, bullmoose20 said:

Here is the result of stopping the container, and restarting the container, which should download the latest version:

Update the docker container.  Go to docker tab, check for updates and then apply the update.  Restarting the docker only updates Zoneminder, not the docker container.

Link to post
On 6/30/2021 at 3:09 PM, dlandon said:

Update the docker container.  Go to docker tab, check for updates and then apply the update.  Restarting the docker only updates Zoneminder, not the docker container.

Hello... thanks for the assistance, however even after removing the container, forcing the update, checking for updates, I continue to have problems running Zoneminder as the container logs show that 
 

Quote

Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...fail!


and then it exits all processes.

2021-07-01_11h02_21.png

2021-07-01_18h34_49.png

2021-07-01_11h00_27.png

2021-07-01_19h00_21.png

Link to post
23 hours ago, dlandon said:

Is this a new installation or an existing installation that is now failing?

It was an existing installation that about 7 days ago started failing. I had some hardware issues that was causing my unraid server to reboot every 3-4 hours. I did not notice this for about 24 hours and then managed to fix the hardware issue, brought up all of my server and all the other containers, but Zoneminder failed to come up. Hoping to find a way to run some commands against the DB to possibly clean it up and thus recover it, but not sure where to begin. I have lots of information from historical videos and other config settings that I would like to maintain if possible.

Link to post
Posted (edited)

Hi.  Wanted to say that I'm also having the exact same error message.  I could try to remove the container and image and reload if you'd like me to try that.

 

Edit:  Forgot to mention that this was an existing container.  I updated it a couple nights ago and it seemed fine.

 

Thanks for any help!

 

*** Running /etc/my_init.d/00_regen_ssh_host_keys.sh...
*** Running /etc/my_init.d/05_set_the_time.sh...
*** Running /etc/my_init.d/06_set_php_time.sh...
*** Running /etc/my_init.d/07_set_dri_permissions.sh...
Granting permissions on /dev/dri/* devices...
*** Running /etc/my_init.d/10_syslog-ng.init...
Jul 2 19:15:09 d131fac144ab syslog-ng[20]: syslog-ng starting up; version='3.25.1'

*** Running /etc/my_init.d/20_apt_update.sh...
Performing updates...
Get:1 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]
Hit:2 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal InRelease
Hit:3 http://archive.ubuntu.com/ubuntu focal InRelease
Get:1 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]
Hit:2 http://ppa.launchpad.net/iconnor/zoneminder-1.36/ubuntu focal InRelease
Hit:3 http://archive.ubuntu.com/ubuntu focal InRelease
Get:4 http://archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]
Hit:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu focal InRelease
Hit:6 http://ppa.launchpad.net/ondrej/php/ubuntu focal InRelease
Get:7 http://archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]
Fetched 328 kB in 11s (28.6 kB/s)
Reading package lists...
Fetched 328 kB in 11s (28.6 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
*** Running /etc/my_init.d/30_gen_ssl_keys.sh...
using existing keys in "/config/keys"
*** Running /etc/my_init.d/40_firstrun.sh...
Using existing conf folder
File zm.conf already copied
File zmeventnotification.ini already moved
File secrets.ini already moved
Event notification server already moved
Pushover api already moved
Using existing ssmtp folder
Using existing mysql database folder
Copy /config/control/ scripts to /usr/share/perl5/ZoneMinder/Control/
Copy /config/conf/ scripts to /etc/zm/conf.d/
Creating symbolink links
usermod: no changes
usermod: no changes
usermod: no changes
Using existing data directory for events
Using existing data directory for images
Using existing data directory for temp
Using existing data directory for cache
no crontab for root
Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...fail!
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.

Compilation failed in require at /usr/bin/zmupdate.pl line 74.

BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.

Jul 2 19:16:00 d131fac144ab zmupdate[1121]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]

Jul 2 19:16:00 d131fac144ab zmupdate[1121]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]

DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Jul 2 19:16:00 d131fac144ab zmupdate[1123]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]

DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.

Compilation failed in require at /usr/bin/zmupdate.pl line 74.

BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.

Jul 2 19:16:00 d131fac144ab zmupdate[1123]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]

Starting ZoneMinder:
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.

DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) at /usr/share/perl5/ZoneMinder/Database.pm line 110.

Jul 2 19:16:00 d131fac144ab zmpkg[1133]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]

Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.

Compilation failed in require at /usr/share/perl5/ZoneMinder.pm line 33.

BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder.pm line 33.

Compilation failed in require at /usr/bin/zmpkg.pl line 34.

BEGIN failed--compilation aborted at /usr/bin/zmpkg.pl line 34.

Jul 2 19:16:00 d131fac144ab zmpkg[1133]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) error val:]

ZoneMinder failed to start


*** /etc/my_init.d/40_firstrun.sh failed with status 255


*** Killing all processes...
Jul 2 19:16:00 d131fac144ab syslog-ng[20]: syslog-ng shutting down; version='3.25.1'

 

Edited by zenmak
Forgot to mention a detail.
Link to post
On 7/2/2021 at 7:34 PM, dlandon said:

It looks like a corrupted database.  I would suggest you get some assistance on the Zoneminder forum.

Hello,

I am having the same issue although it had happened on two different installs.

I am running unraid 6.9.2

This started a week or so ago, I read everything I could find and tried different things and nothing worked.

I removed the zoneminder docker, deleted the zppdata/zoneminder folder, deleted everything in the storage share, deleted the share. Next I created a new storage share, named it ZMData72, installed the zoneminder docker but named the appdata folder zoneminder72, created all my cameras and set up my zones, then created my filters. 

All worked well for two days 

This am my unraide server was unresponsive, I did a hard reset.

When it came back up everything was working except ZM.

I am right back to.

Starting services...
* Starting Apache httpd web server apache2
*
* Starting MariaDB database server mysqld
...fail!
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/bin/zmupdate.pl line 74.
BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.
Jul 5 12:23:47 0306b99aa60b zmupdate[1412]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Jul 5 12:23:47 0306b99aa60b zmupdate[1412]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Compilation failed in require at /usr/bin/zmupdate.pl line 74.
BEGIN failed--compilation aborted at /usr/bin/zmupdate.pl line 74.
Jul 5 12:23:47 0306b99aa60b zmupdate[1414]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Jul 5 12:23:47 0306b99aa60b zmupdate[1414]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Starting ZoneMinder:
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
DBI connect('database=zm;host=localhost','zmuser',...) failed: Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) at /usr/share/perl5/ZoneMinder/Database.pm line 110.
Unable to connect to DB. ZM Cannot continue.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder/Config.pm line 150.
Jul 5 12:23:47 0306b99aa60b zmpkg[1424]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
Compilation failed in require at /usr/share/perl5/ZoneMinder.pm line 33.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder.pm line 33.
Compilation failed in require at /usr/bin/zmpkg.pl line 34.
BEGIN failed--compilation aborted at /usr/bin/zmpkg.pl line 34.
Jul 5 12:23:47 0306b99aa60b zmpkg[1424]: ERR [Error reconnecting to db: errstr:Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2) error val:]
ZoneMinder failed to start

*** /etc/my_init.d/40_firstrun.sh failed with status 255

*** Killing all processes...
Jul 5 12:23:47 0306b99aa60b syslog-ng[21]: syslog-ng shutting down; version='3.25.1'

 

Any suggestions? Co can recreate it all again but will this happen every time there is a hard reset?

 

Chas

Link to post
3 hours ago, kysdaddy said:

Any suggestions? Co can recreate it all again but will this happen every time there is a hard reset?

Probably.  You should look into backing up your whole Zoneminder folder or at least the database once a day if you think this will be a regular occurrence.  Then work on a recovery.  I would look into the Zoneminder forum and see if there is an appropriate answer for backups.

 

A simple way to do this is to stop the docker container, rsync the complete Zoneminder folder to a backup location, then restart the docker container.  You could use the User Scripts plugin to accomplish this.

Link to post

Good day,

 

Today installed Zoneminder docker, and ofcourse read the descriptions. 

It says to select half my memory for SHM size, but i can't find the reason for this?

And in all honesty . . . since ill be sporting 128GB of memory soon, wouldn't 64GB of memory be a bit much?

Link to post
2 hours ago, Caennanu said:

Good day,

 

Today installed Zoneminder docker, and ofcourse read the descriptions. 

It says to select half my memory for SHM size, but i can't find the reason for this?

And in all honesty . . . since ill be sporting 128GB of memory soon, wouldn't 64GB of memory be a bit much?

That memory is not really used unless it is needed.  You could probably just set 16GB and be fine.

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.